
#include "moxquizz.h"
using namespace std;

void MoxQuizz::Insert(string question, string answer)
{
    database[question].push_back(answer);
}

vector<string> MoxQuizz::Find(string question)
{
    if(database.find(question) == database.end())
        return vector<string>(0);
    return database[question];
}

void MoxQuizz::LoadFile(string FileName)
{
    ifstream databasefile(FileName.c_str());
    string question;
    string line;
    std::getline(databasefile, line);

    while(!databasefile.eof())
    {
        if(line.substr(0,10) == "Question: ")
        {
            question = line.substr(10);

            while(line.substr(0,8) != "Answer: ")
            {
                std::getline(databasefile, line);
                if(databasefile.eof())
                    return;
            }

            this->Insert(question,line.substr(8));
        }
        std::getline(databasefile, line);
    }
}

void MoxQuizz::Clear()
{
    database.clear();
}
